This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 191088 - Review Request: mlsutils
Review Request: mlsutils
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Ricker
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-08 15:13 EDT by Daniel Walsh
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-25 14:04:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Daniel Walsh 2006-05-08 15:13:00 EDT
Spec URL: http://devserv.devel/~dwalsh/SELinux/mlsutils.spec
SRPM URL: http://devserv.devel/~dwalsh/SELinux/mlsutils-1.1-1.src.rpm
Description: This package contains additional tools required for MLS Conformance.  Specifically the dev_allocator which is required to replace udev.  Removable Devices need to be manually allocated by users in an MLS environment.  This tool allows for the auditing of these events.
Comment 1 Jason Tibbitts 2006-05-09 23:28:47 EDT
Those URLs aren't valid on the Internet; perhaps you're pointing at an internal
Red Hat server.  Any chance you could put these somewhere public?
Comment 2 Daniel Walsh 2006-05-11 09:54:50 EDT
Sorry about that moved them to:

Spec URL: ftp://people.redhat.com/~dwalsh/SELinux/mlsutils.spec
SRPM URL: ftp://people.redhat.com/~dwalsh/SELinux/mlsutils-1.1-1.src.rpm
Comment 4 Chris Ricker 2006-05-16 13:42:49 EDT
Quick partial review:

- bad: rpmlint fails -- see below
- bad: package naming seems weird -- why mlsutils, and not dev_allocator?
         and why version 1.1, and not 0.5?
- not sure: spec name may or may not be good, depending on package name
- bad: some of the guidelines not met -- for example, Vendor is set
- good: license is fine
- good: license matches
- bad: license not included
- good: spec is English
- good: spec is legible
- good: source matches -- both md5sum 9aea61daf9017e800ca025b50c69ee6b
- good: package builds, once BuildRequires added
- good: no excludes
- bad: BuildRequires missing for at least:
         libxml2-devel
         libselinux-devel
         audit-libs-devel

rpmlint:

[kaboom@fc5test i386]$ rpmlint mlsutils-1.1-1.i386.rpm
W: mlsutils incoherent-version-in-changelog 0.4-2 1.1-1
W: mlsutils conffile-without-noreplace-flag
/etc/devallocation/supported_device_classes.conf
W: mlsutils conffile-without-noreplace-flag /etc/rc.d/init.d/dev_allocation
E: mlsutils executable-marked-as-config-file /etc/rc.d/init.d/dev_allocation
E: mlsutils setuid-binary /usr/bin/dev_allocator root 04755
E: mlsutils non-standard-executable-perm /usr/bin/dev_allocator 04755
E: mlsutils non-executable-script /usr/share/devallocation/classes/template 0644
E: mlsutils non-executable-script /usr/share/devallocation/classes/cups 0644
E: mlsutils no-status-entry /etc/rc.d/init.d/dev_allocation
W: mlsutils no-reload-entry /etc/rc.d/init.d/dev_allocation
W: mlsutils service-default-enabled /etc/rc.d/init.d/dev_allocation
W: mlsutils incoherent-init-script-name dev_allocation
[kaboom@fc5test i386]$ rpmlint mlsutils-devel-1.1-1.i386.rpm
W: mlsutils-devel no-dependency-on mlsutils
W: mlsutils-devel no-documentation
[kaboom@fc5test i386]$ 
Comment 5 Daniel Walsh 2006-05-25 14:04:18 EDT
Dropping this request as I have renamed the package devallocator and will
resubmit request.

Note You need to log in before you can comment on or make changes to this bug.